# GET /reputation/stats

**Resource:** [Reputation](./reputation.md)  
**Scopes:** `reputation:read`  
**Write operation:** no

Get aggregate stats for the company's Reputation: profile state, total/published review count, rating distribution (1-5), and case study counts by status.

## Request example

```bash
curl https://ucqwijexmjctglmrxlej.supabase.co/functions/v1/api/v1/reputation/stats \
  -H "Authorization: Bearer tp_live_..."
```

## Response example

```json
{
  "data": {
    "has_profile": true,
    "profile": { "slug": "acme-agency", "overall_rating": 4.8, "is_published": true },
    "reviews": {
      "total": 14,
      "by_status": { "published": 12, "draft": 1, "approved": 1 },
      "by_rating": { "5": 8, "4": 3, "3": 1 }
    },
    "case_studies": { "total": 4, "by_status": { "published": 3, "draft": 1 } }
  },
  "meta": { "credits_remaining": 4498 }
}
```

---
Base URL: `https://api.trustpager.com/functions/v1/api/v1` — Auth: `Authorization: Bearer YOUR_API_KEY`